<?php
/*  Copyright
	2010 Juergen Schulze
	and 2006 Vincent Prat

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
?>

<?php
	if (!current_user_can('manage_options')) {
		print "<br />".__("You are not allowed to change the options of this plugin.", EMU2_I18N_DOMAIN);
	}
?>

<?php
	$default_subject = '';
	$default_body = '';
	$default_mail_format = 'html';
	$max_bcc_recipients = '0';
	$error=false;
	$message="";

	if ( isset( $_POST['default_subject'] ) ) {
		$default_subject = $_POST['default_subject'];
	}

	if ( isset( $_POST['default_body'] ) ) {
		$default_body = $_POST['default_body'];
	}

	if ( isset( $_POST['default_mail_format'] ) ) {
		$default_mail_format = $_POST['default_mail_format'];
	}

	if ( isset( $_POST['emu2_sender_name'] ) ) {
		$emu2_sender_name = mysql_real_escape_string($_POST['emu2_sender_name']);
	}	
	
	if ( isset( $_POST['emu2_sender_address'] ) && $_POST['emu2_sender_address']!="" ) {
		if (!is_email($_POST['emu2_sender_address'])) {
			$error=true;
			$message=__('This is not a valid address.', EMU2_I18N_DOMAIN);		
		} else {
			$emu2_sender_address = $_POST['emu2_sender_address'];
		}
		
	}
	
	if ( isset( $_POST['max_bcc_recipients']) && $_POST['max_bcc_recipients']!="" ) {
		# check max bcc for number
		if (!preg_match('/^[0-9]+$/', $_POST['max_bcc_recipients'])) {
			$error=true;
			$message=__('Max Bcc must be a digit value.', EMU2_I18N_DOMAIN);
		} else {
			$max_bcc_recipients = $_POST['max_bcc_recipients'];
		}
	}

	if ( isset( $_POST['mail_function'] ) ) {
		$mail_function = $_POST['mail_function'];
	}

	if ( isset( $_POST['debug'] ) ) {
		$debug = $_POST['debug'];
	}

	EMU2_update_default_subject( format_to_post($default_subject) );
	EMU2_update_default_body( $default_body );
	EMU2_update_default_mail_format( $default_mail_format );
	EMU2_update_sender_name( $emu2_sender_name );
	EMU2_update_sender_address( $emu2_sender_address );
	EMU2_update_max_bcc_recipients( $max_bcc_recipients );
	EMU2_update_mail_function( $mail_function );
	EMU2_update_debug( $debug );


if (!$error) {
	print '<div class="updated fade">
	<p>'.__('Options set successfully', EMU2_I18N_DOMAIN).'</p>
	</div>';
} else {
	print '<div id="error" class="error">
	<p>'.$message.'</p>
	</div>';

}

include 'emu2_options_form.php';
?>