<?php
/*  Copyright
	2010 Juergen Schulze
	and 2006 Vincent Prat

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
?>

<?php
	if (	!current_user_can(EMU2_EMAIL_SINGLE_USER_CAP)
		|| 	!current_user_can(EMU2_EMAIL_MULTIPLE_USERS_CAP)) {
		#wp_die(__("You are not allowed to send emails to users.", EMU2_I18N_DOMAIN));
		print "<br />".__("You are not allowed to send emails to users.", EMU2_I18N_DOMAIN);
		$allowed=false;
	} else {
		$allowed=true;
	}

	get_currentuserinfo();
	$from_name = $user_identity;
	$from_address = $user_email;
	
	# check for individual sender settings and overwrite
	if (EMU2_get_sender_name()!="") $from_name=EMU2_get_sender_name();
	if (EMU2_get_sender_address()!="") $from_address=EMU2_get_sender_address();

	if (!isset($send_users)) {
		$send_users = array();
	}

	if (!isset($mail_format)) {
		$mail_format = EMU2_get_default_mail_format();
	}

	if (!isset($subject)) {
		$subject = '';
	}

	if (!isset($mail_content)) {
		$mail_content = '';
	}
?>

<?php if ($allowed) { ?>
<div class="wrap">
	<h2><?php _e('Write an email to individual users', EMU2_I18N_DOMAIN); ?></h2>

	<?php 	if (isset($err_msg) && $err_msg!='') { ?>
			<p class="error"><?php echo $err_msg; ?></p>
			<p><?php _e('Please correct the errors displayed above and try again.', EMU2_I18N_DOMAIN); ?></p>
	<?php	} ?>

	<form name="SendEmail" action="admin.php?page=emu2-email-users-2/emu2_send_user_mail.php" method="post">
		<input type="hidden" name="send" value="true" />
		<input type="hidden" name="fromName" value="<?php echo $from_name;?>" />
		<input type="hidden" name="fromAddress" value="<?php echo $from_address;?>" />

		<table class="form-table" width="100%" cellspacing="2" cellpadding="5">
		<tr>
			<th scope="row" valign="top"><?php _e('Mail format', EMU2_I18N_DOMAIN); ?></th>
			<td><select name="mail_format" style="width: 158px;">
				<option value="html" <?php if ($mail_format=='html') echo 'selected="selected"'; ?>><?php _e('HTML', EMU2_I18N_DOMAIN); ?></option>
				<option value="plaintext" <?php if ($mail_format=='plaintext') echo 'selected="selected"'; ?>><?php _e('Plain text', EMU2_I18N_DOMAIN); ?></option>
			</select></td>
		</tr>
		<tr>
			<th scope="row" valign="top"><label><?php _e('Sender', EMU2_I18N_DOMAIN); ?></label></th>
			<td><?php echo $from_name;?> &lt;<?php echo $from_address;?>&gt;</td>
		</tr>
		<tr>
			<th scope="row" valign="top"><label for="send_users"><?php _e('Recipients', EMU2_I18N_DOMAIN); ?>
			<br/><br/>
			<small><?php
				if (!current_user_can(EMU2_EMAIL_MULTIPLE_USERS_CAP))
					_e('You are only allowed to select one user at a time.', EMU2_I18N_DOMAIN);
				else
					_e('You can select multiple users by pressing the CTRL key.', EMU2_I18N_DOMAIN);
				?>
			</small></label></th>
			<td>
				<select id="send_users" name="send_users[]" size="8" style="width: 654px; height: 250px;" <?php if (current_user_can(EMU2_EMAIL_MULTIPLE_USERS_CAP)) echo 'multiple="multiple"'; ?> >
				<?php
					$users = EMU2_get_users($user_ID);
					foreach ($users as $user) {
				?>
					<option value="<?php echo $user->id; ?>" <?php
						echo (in_array($user->id, $send_users) ? ' selected="yes"' : '');?>>
						<?php echo __('User', EMU2_I18N_DOMAIN) . ' - ' . $user->display_name; ?>
					</option>
				<?php
					}
				?>
				</select>
			</td>
		</tr>
		<tr>
			<th scope="row" valign="top"><label for="subject"><?php _e('Subject', EMU2_I18N_DOMAIN); ?></label></th>
			<td><input type="text" id="subject" name="subject" value="<?php echo format_to_edit($subject);?>" style="width: 647px;" /></td>
		</tr>
		<tr>
			<th scope="row" valign="top"><label for="Content"><?php _e('Message', EMU2_I18N_DOMAIN); ?></label></th>
			<td>
				<div id="mail-content-editor" style="width: 647px;">
				<?php
					if ($mail_format=='html') {
						//wp_tiny_mce( false );
						
						wp_tiny_mce( false, array( 'height' => '500' ) );
						the_editor(stripslashes($mail_content), "content", "subject", true);
						
						//wp_tiny_mce( false, array( "editor_selector" => "a_nice_textarea" ) );
						//the_editor(stripslashes($mail_content), "a_nice_textarea", "subject", true);
					} else {
				?>
					<textarea rows="10" cols="80" name="content" id="content" style="width: 647px;"><?php echo stripslashes($mail_content);?></textarea>
				<?php 
					}
				?>
				</div>
			</td>
		</tr>
		</table>

		<p class="submit">
			<input type="submit" name="Submit" value="<?php _e('Send Email', EMU2_I18N_DOMAIN); ?> &raquo;" />
		</p>
	</form>
</div>
<?php } ?>